Package com.usatiuk.dhfs.peerdiscovery

# Class PeerAddrStringHelper

java.lang.Object
com.usatiuk.dhfs.peerdiscovery.PeerAddrStringHelper

public class PeerAddrStringHelper extends Object

## Constructor Summary

Constructors
Constructor
Description
`PeerAddrStringHelper()`

## Method Summary

Modifier and Type
Method
Description
`static Optional<IpPeerAddress>`
`parse(String addr)`
`static Optional<IpPeerAddress>`
`parseNoPeer(PeerId peerId, String addr)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### PeerAddrStringHelper

public PeerAddrStringHelper()

## Method Details

### parse

public static Optional<IpPeerAddress> parse(String addr)

### parseNoPeer

public static Optional<IpPeerAddress> parseNoPeer(PeerId peerId, String addr)